LINUX.ORG.RU

59
Всего сообщений: 364

blender из flathub хочет nvidia?

flatpak install org.blender.Blender.flatpakref 
Required runtime for org.blender.Blender/x86_64/stable (runtime/org.freedesktop.Platform/x86_64/19.08) found in remote flathub
Do you want to install it? [y/n]: y
Installing in system:
org.freedesktop.Platform/x86_64/19.08          flathub 5a35247ad1c9
org.freedesktop.Platform.Locale/x86_64/19.08   flathub 9f6dd949d651
org.freedesktop.Platform.openh264/x86_64/19.08 flathub 563e6c1a7173
org.blender.Blender/x86_64/stable              flathub 961a8a49881d
  permissions: ipc, network, pulseaudio, x11, dri
  file access: host
Updating in system:
org.freedesktop.Platform.GL.nvidia-430-50/x86_64/1.4 flathub 609be8c7f5df

Он хочет притянуть драйвер, или что это?

 , ,

thunar ()

Как указать локальный путь к Python2.6 для запуска Blender 2.49b?

Надо запустить Blender 2.49b под Debian 9.x, но так как установка python2.6 стандартным путём не возможна, надо сделать редирект к локальному бинарнику и библиотеке Python2.6.

Для этого планирую распаковать в локальные папки содержимое следующих DEB-пакетов из PPA:deadsnakes:

Запуск Blender осуществляется с помощью Shell-скрипта blender-softwaregl:

#!/bin/sh
BF_DIST_BIN=`dirname "$0"`
BF_PROGRAM="blender" # BF_PROGRAM=`basename "$0"`-bin
exitcode=0

LD_LIBRARY_PATH=${BF_DIST_BIN}/lib:${LD_LIBRARY_PATH}

if [ -n "$LD_LIBRARYN32_PATH" ]; then
    LD_LIBRARYN32_PATH=${BF_DIST_BIN}/lib:${LD_LIBRARYN32_PATH}
fi
if [ -n "$LD_LIBRARYN64_PATH" ]; then
    LD_LIBRARYN64_PATH=${BF_DIST_BIN}/lib:${LD_LIBRARYN64_PATH}
fi
if [ -n "$LD_LIBRARY_PATH_64" ]; then
    LD_LIBRARY_PATH_64=${BF_DIST_BIN}/lib:${LD_LIBRARY_PATH_64}
fi

export LD_LIBRARY_PATH LD_LIBRARYN32_PATH LD_LIBRARYN64_PATH LD_LIBRARY_PATH_64 LD_PRELOAD

"$BF_DIST_BIN/$BF_PROGRAM" ${1+"$@"}
exitcode=$?
exit $exitcode

Если пытаюсь запустить Blender 2.49b он запускается НО использует встроенный урезанный Python 2.6.2

$ ./blender-softwaregl
Compiled with Python version 2.6.2.
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Checking for installed Python... No installed Python found.
Only built-in modules are available.  Some scripts may not run.
Continuing happily.

Как прописать в скрипте blender-softwaregl пути к ${BF_DIST_BIN}/lib/python2.6 и ${BF_DIST_BIN}/lib/python2.6/ чтобы Blender распознал их как расположение установки бинарника и библиотек Python2.6?

ССЫЛКИ

 , ,

atsym ()

Расскажите, пожалуйста, про события в блендере

Как мне навесить обработчик сообщения на какой-нибудь объект в Blender ?

Ну, например, я хочу нарисовать текстурированный кирпич. Текстура у меня пусть будет процедурно генерируемая. Я хочу, чтобы при изменении размера кирпича текстура перегенерировалась. Как мне прицепить к Mesh обработчик события на python ?

Ну, или, например, я буду рисовать что-нибудь с костями, хотелось бы иметь возможность запустить скрипт пересчёта положения костей в скелете при перетягивании например кисти руки в новое положение (т.е. на событие «изменение координат»).

Теоретически внутри blender (и любой другой UI-программы) есть цикл обработки сообщений, и можно в принципе, было бы написать обработчик сообщений, который бы тоже сообщения принимал. Но как это делают на питоне? Что надо писать, и как этот код загружать, чтобы он начал срабатывать?

Следить за мышью?
https://docs.blender.org/api/current/bpy.types.Operator.html#bpy.types.Operat...
https://docs.blender.org/api/current/bpy.types.Event.html
https://blender.stackexchange.com/questions/35198/triggerring-left-click-even...

Делать AddOn, чтобы он мог зарегистрироваться в меню? (как это поможет следить за изменениями модели?)

 , ,

Einstok_Fair ()

Blender и/или CAD для проектирования мебели?

Какой инструмент вы бы посоветовали чтобы спроектировать мебель и прикинуть ее расположение в квартире?

Имел дело с QCAD для 2d и VariCAD для 3d, с Blender опыта не имею. Мне кажется, что с любым CAD будет проще, но с Blender можно отрендерить красивую картинку.

Знаю, что на форуме есть люди, которые занимаются 3d моделированием.

 , ,

aquadon ()

Blender 2.80 блокирует воспроизведение аудио и видео

Ubuntu 18.04 LTS. Запускаю Блендер 2.80 из образа snap. Сыпет ошибки, но запускается.

Received X11 Error:
        error code:   179
        request code: 155
        minor code:   34
        error text:   GLXBadFBConfig
Received X11 Error:
        error code:   179
        request code: 155
        minor code:   34
        error text:   GLXBadFBConfig
Received X11 Error:
        error code:   179
        request code: 155
        minor code:   34
        error text:   GLXBadFBConfig
Received X11 Error:
        error code:   8
        request code: 155
        minor code:   34
        error text:   BadMatch (invalid parameter attributes)
Received X11 Error:
        error code:   8
        request code: 155
        minor code:   34
        error text:   BadMatch (invalid parameter attributes)
Received X11 Error:
        error code:   8
        request code: 155
        minor code:   34
        error text:   BadMatch (invalid parameter attributes)
found bundled python: /snap/blender/33/2.80/python
Дополнение 1: эти ошибки относятся к отрисовке окна.

Запускаю в браузере Ютуб — видео стоит, как на паузе. Скачиваю ролик, запускаю в Mplayer-е и mpv — тоже стоит, как на паузе. Пробую звуковые файлы — то же. В консоли mplayer пишет «Audio device got stuck!», а mpv — «[ao/pulse] The stream is suspended. Bailing out.» Убил демона pulseaudio — видео вне браузера заработало.

Можно их как-то заставить работать вместе?

Ответ 1: можно отключить звук в Блендере. Edit ⇒ Preferences ⇒ System ⇒ Sound, сменить Audio Device на Null. Что удивительно, блокируется при SDL (по умолчанию) и OpenAL.

 , ,

question4 ()

3D моделирование

Последний раз в начале нулевых запускал 3DMax, по факту ничё не умею, но щас нужно стало, что для супер нуба подойдёт чтоб элементарное нарисовать?

Maya? blender?

 , ,

eR ()

Насколько сложно обучиться и найти работу в сфере 3д-графики?

Добрый вечер.

Иногда мелькают мысли поковырять что-то типа блендера, для подработки.

Хочется спросить Тех, кто изучал этот вопрос. Кто в курсе рынка труда.
Что пользуется спросом у работадателей и что вы сами изучили и теперь работаете?
насколько сложно изучать?
какие расценки, варианты оплаты?

 , , , ,

darkenshvein ()

Blender 2.8

Тихо и незаметно вчера зарелизили, а новости всё ещё нет

 

Satou ()

Стереоскопический Big Buck Bunny в 4К

http://bbb3d.renderfarming.net/ Просто взяли свободные файлы, добавили камер и отрендерили в высоком качестве на компьютерах добровольцев, пользуясь специальной инфраструктурой для распределённого рендеринга. Проект стартовал в 2010 году и завершился в 2013-м. (Как я понял, тормозился организационными причинами, а не нехваткой мощностей.) Но на ЛОРе о нём явно не знают :)

Три забавных фрагмента:

1. При смене версии Блендера глаза потеряли привязку к голове птицы: http://burp.renderfarming.net/session.php?id=1126 Пришлось что-то подкручивать в настройках.

2. По аналогичной причине в одной из сцен деревья на заднем плане проваливаются в землю, оставляя голую равнину: http://burp.renderfarming.net/session.php?id=1374

3. При внимательном рассмотрении пчела оказалась Сюзанной — головой обезьяны: http://burp.renderfarming.net/session.php?id=1137

 

question4 ()

Новый спонсор в Blender Development Fund

Не успели утихнуть страсти по гранту 1,2 млн долларов, выданному Epic Games, как в Blender Dev Fund вложился ещё один крупный игрок. И призывает вкладываться своих сотрудников.

 , ,

MageasteR ()

Аналоговая механическая клавиатура

Собственно по ссылкам клавиатура и софт к ней.

Идея клавиатуры в том, что в свиче магнит, что позволяет отслеживая его передвижение при нажатии на клавишу получить более 200 уровней срабатывания. Такая возможность позволяет для каждой клавиши определять индивидуальную точку срабатывания и включать на каждую клавишу режим аналогового джойстика.

Софт в том числе под Линукс (встроен как сервис для systemd).

https://github.com/hid-io

https://www.kickstarter.com/projects/lekashman/keystone-the-future-of-mechani...

 , , , ,

psv1967 ()

Вот вы говорите, Epic Games гады...

...а они отвалили 1,2 мегабакса в Blender Foundation.

Кстати, на днях 2.8 RC1 вышел, по идее скоро релиз.

 , ,

MageasteR ()

Специалистам по Blender: нюансы риггинга шмота

Привет специалистам по Blender!

Создал персонажа в MakeHuman, перенес его в Blender (2.79). Добавил к нему одежду, созданную из меша другой болванки (MakeClothes). Заджойнил. Но если подвигать рукой персонажа, то заметно, что одежда не податлива, она проваливается и сильно деформируется.

В то же время, опытным путем убедился, что если создать одежду из дубликата меша персонажа, то она лучше «сидит», лучше поддается при сгибании конечностей и тела персонажа, т.к. количество вершин у нее то же, что и у персонажа.

Как исправить меш одежды, которую я создал ранее, чтобы она вела себя так, как если бы была создана из меша персонажа? Что изменить в Vertex Group?

P.S. Аналогичную тему создал и на тематическом форуме. Жду советов от бывалых.

 , , ,

Deleted ()

Годится ли 3D лепка против разжижения мозга?

Тем, кто к «возрасту» приближается показано учить хоть что нибудь. В данном случае задача усложнена, это «хоть что нибудь» должно творчеством попахивать, иначе ни в какую. Вот, вспомнил про Блендер с его 18 урокаме на ютубе.

Как думаете, годится 3D для этого? Или очень скоро моск находит лазейку как не напрягаться?

 

TooPar ()

Вышел 4 эпизод Моревны - Open Source мультфильм

Вот наткнулся - https://peertube.touhoppai.moe/videos/watch/62db14e1-da3e-4f4f-816f-c57673303d25

Как они утверждают здесь используется лишь СПО программы, и выпускаются все под лицензией Creative Commons.

Что вы думаете по поводу деятельности этого проекта?

 , , , ,

gtk3 ()

Blender в Slackware = эффект Матрицы?)

Нуво. Почему так? Глюк Блендера?

https://youtu.be/x-WZKGk2daw

 ,

deepforest ()

Где должны лежать модули для python?

Ну, или что я делаю не так:

PYTHON INTERACTIVE CONSOLE 3.6.6 (default, Oct 17 2018, 07:23:22)  [GCC 6.4.0]

Command History:     Up/Down Arrow
Cursor:              Left/Right Home/End
Remove:              Backspace/Delete
Execute:             Enter
Autocomplete:        Ctrl-Space
Zoom:                Ctrl +/-, Ctrl-Wheel
Builtin Modules:     bpy, bpy.data, bpy.ops, bpy.props, bpy.types, bpy.context, bpy.utils, bgl, blf, mathutils
Convenience Imports: from mathutils import *; from math import *
Convenience Variables: C = bpy.context, D = bpy.data

>>> import Blender
Traceback (most recent call last):
  File "<blender_console>", line 1, in <module>
ModuleNotFoundError: No module named 'Blender'
>>> print (sys.path)
['/usr/share/blender/2.79/scripts/addons', '/usr/share/blender/2.79/scripts/startup', '/usr/share/blender/2.79/scripts/modules', '/usr/lib64/python36.zip', '/usr/lib64/python3.6', '/usr/lib64/python3.6/lib-dynload', '/usr/lib64/python3.6/site-packages', '/usr/share/blender/2.79/scripts/freestyle/modules', '/usr/share/blender/2.79/scripts/addons/modules', '/home/user/.config/blender/2.79/scripts/addons/modules']

 

Einstok_Fair ()

mageia, blender 2.8, зависимости

Подскажите как запустить Блендер 2.8 на mageia? Как разрешить зависимости?

[root@localhost blender-2.80-6439ed844e78-linux-glibc224-x86_64]# ./blender
./blender: /lib64/libm.so.6: version `GLIBC_2.23' not found (required by ./blender)

[root@localhost Downloads]# rpm -iU glibc-2.29-2.mga7.x86_64.rpm 
error: Failed dependencies:
	lib64xcrypt1 >= 4.1.1-1 is needed by glibc-6:2.29-2.mga7.x86_64
	glibc = 6:2.22 is needed by (installed) locales-2.22-7.mga6.x86_64
	glibc-crypt_blowfish is needed by (installed) lib64tcb0-1.1-7.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) perl-base-2:5.22.3-3.2.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) perl-2:5.22.3-3.2.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64python2.7-stdlib-2.7.15-1.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64python3.5-stdlib-3.5.3-1.4.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64pam0-1.3.0-5.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64user1-0.62-8.2.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64tcb0-1.1-7.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) pam_tcb-1.1-7.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) shadow-utils-2:4.4-1.2.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) util-linux-2.28.2-2.1.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) pam-1.3.0-5.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) systemd-230-12.3.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) ppp-2.4.7-9.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lua-posix-33.3.1-2.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) tcsh-6.19.00-5.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) cups-drivers-splix-2.0.1-0.20130826svn315.6.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) mirrordir-0.10.49-25.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) isdn4k-utils-1:3.12-20.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64unixODBC2-2.3.7-1.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) lib64ruby2.2-2.2.8-1.1.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) claws-mail-1:3.15.0-4.1.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) xdm-1.1.11-16.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) xscreensaver-5.36-3.mga6.x86_64
	libcrypt.so.1()(64bit) is needed by (installed) virtualbox-guest-additions-5.2.18-1.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) perl-base-2:5.22.3-3.2.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) perl-2:5.22.3-3.2.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64python2.7-stdlib-2.7.15-1.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64python3.5-stdlib-3.5.3-1.4.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64pam0-1.3.0-5.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64user1-0.62-8.2.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64tcb0-1.1-7.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) pam_tcb-1.1-7.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) shadow-utils-2:4.4-1.2.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) util-linux-2.28.2-2.1.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) pam-1.3.0-5.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) systemd-230-12.3.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) ppp-2.4.7-9.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lua-posix-33.3.1-2.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) tcsh-6.19.00-5.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) mirrordir-0.10.49-25.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) isdn4k-utils-1:3.12-20.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64unixODBC2-2.3.7-1.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) lib64ruby2.2-2.2.8-1.1.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) claws-mail-1:3.15.0-4.1.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) xdm-1.1.11-16.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) xscreensaver-5.36-3.mga6.x86_64
	libcrypt.so.1(GLIBC_2.2.5)(64bit) is needed by (installed) virtualbox-guest-additions-5.2.18-1.mga6.x86_64

[root@localhost Downloads]# rpm -iU lib64xcrypt1-4.4.3-1.mga7.x86_64.rpm
error: Failed dependencies:
	libc.so.6(GLIBC_2.25)(64bit) is needed by lib64xcrypt1-4.4.3-1.mga7.x86_64
	glibc < 6:2.28-2 conflicts with lib64xcrypt1-4.4.3-1.mga7.x86_64
[root@localhost Downloads]# 

 , ,

deepforest ()

Лебедев похвалил Blender

Тут это, Лебедев в нецензурно-восторженных выражениях похвалил Blender в своём телеграмчике. Что думаете по этому поводу? Это признак начала конца венды, Maya и прочих 3DS'ов? Для GNU/Linux нет «профессионального ПО»?

Что нужно добавить в GIMP чтобы Лебедев его так же похвалил?

 , ,

Camel ()

Blender, EEVEE на видеокартах Radeon, GeForce 10летней давности

У меня есть старая gf9800gtx на старом пк для экспериментов. Под Виндой запустив бету Блендера 2.8 обнаружилось, что ЕВА рендер не работает правильно, при включении теней все объекты становились черными. Я создал баг репорт. Оказалось что и Радеоны тех времен имеют тот же глюк. По идее все должно работать так как у ЕВЫ заявленный минимум Opengl 3.3. У этих старых видеокарт он есть. Запустив Блендер 2.8 под Дебиан 9 на свободных нвидиа дровах на чудо, ЕВА отлично заработала))) То есть дело оказалось в кривых проприетарных дровах!? У меня вопрос. Мог бы кто нибудь проверить работоспособность ЕВЫ на Радеоне того времени аналога gf9800gtx под Линукс? Или подсказать рабочие дрова под Вин7 для gf9800gtx для Бленера 2.8?

 , ,

deepforest ()